Skip to main content
GET
/
people
/
{personId}
/
email
Get person's email
curl --request GET \
  --url https://app.tryspecter.com/api/v1/people/{personId}/email \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/people/{personId}/email"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/people/{personId}/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "j.smith@example.com",
  "type": "personal"
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "OUT_OF_CREDITS",
"message": "<string>"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

personId
string
required

The ID of the person being requested.

Query Parameters

type
enum<string>

Determine if only a specific kind of email should be returned.

Available options:
professional,
personal

Response

The email address of the person if found

email
string
required

The person's email address.

Example:

"j.smith@example.com"

type
enum<string>
required

Which kind of email was returned.

Available options:
professional,
personal
Example:

"personal"